Bug 309149 - Text to speech plugin does not read /me actions
Summary: Text to speech plugin does not read /me actions
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui-message-filters (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR minor
Target Milestone: Future
Assignee: Daniele E. Domenichelli
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-10-28 14:52 UTC by Daniele E. Domenichelli
Modified: 2013-07-24 21:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2012-10-28 14:52:24 UTC
Text to speach plugin does not read /me actions.
This might be an accessibility problem.
Comment 1 Daniele E. Domenichelli 2012-10-28 17:51:29 UTC
Taking this since I almost have a patch ready
Comment 2 David Edmundson 2013-04-08 17:37:01 UTC
This is now super trivial that KTp::Message() supports senderAlias() and type();

Marking as a junior job.
Comment 3 David Edmundson 2013-07-24 21:24:51 UTC
Git commit a0af990c142b7f7e400adbf21b0a81633d2d5e41 by David Edmundson, on behalf of Daniel Cohen.
Committed on 24/07/2013 at 21:18.
Pushed by davidedmundson into branch 'master'.

Text to speech reads text message actions
FIXED-IN:0.7.0
Reviewed-By:David Edmundson

M  +6    -2    filters/texttospeech/tts-filter.cpp

http://commits.kde.org/telepathy-text-ui/a0af990c142b7f7e400adbf21b0a81633d2d5e41